Question about PyPI and 'easy_install'

makoto kuwata kwa at kuwata-lab.com
Mon Feb 25 04:38:27 CET 2008


Hi,

I have a trouble around PyPI and easy_install.

I have developed OSS (Tenjin) and registered it to PyPI.
http://pypi.python.org/pypi/Tenjin/0.6.1

But I can't install it by 'easy_install' command.

    $ easy_install Tenjin
    Searching for Tenjin
    Reading http://pypi.python.org/simple/Tenjin/
    Reading http://www.kuwata-lab.com/tenjin/
    No local packages or download links found for Tenjin
    error: Could not find suitable distribution for
Requirement.parse('Tenjin')

This error reports that download link is not found,
but download url is described in the above web page.

Could you help me why the above error happen?
Is it required to set registered name (Tenjin) and
package name (pyTenjin) into same name?

--
makoto kuwata




More information about the Python-list mailing list